<?php
 
session_start();
include("DMMYSQLG.php");

?>
<html>
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<body>
<?php
 
	include('DI11200_CL.php');
	$varible_clase = new clase();
	$varible_clase->des_basico=strtoupper($_POST["t1"]);
	$varible_clase->lim_vta1=$_POST["t2"];
	$varible_clase->lim_vta2=$_POST["t3"];
	$varible_clase->lim_vta3=$_POST["t4"];
	//Revizar si ya existe el registro
	$res=$varible_clase->revisar();
	if($res == "ok"){
		echo '<h2>EL REGISTRO YA EXISTE</h2>';
		echo '<meta content="1; url=DI11200_PR.php" HTTP-EQUIV="REFRESH">';
		exit();
	}  
	
	 //Ejecuta Codigo de Agregar
	$res=$varible_clase->agregar();
	if($res == "ok"){
		//echo 'FICHERO: '.$_FILES['fichero'].'<br>';
		//echo 'TMP_NAME:'.$_FILES['tmp_name'].'<br>';
		$ultimo_id = mysqli_insert_id($con); 
		if(is_uploaded_file($_FILES['fichero']['tmp_name'])){
        	if(move_uploaded_file($_FILES['fichero']['tmp_name'], 'foto/dgbasico/NO_'.$ultimo_id . '.JPG')){
        	}
    	} 	 
		
		echo '<h2>CATALOGO GRUPOS:'.$ultimo_id.'</h2>';
		echo '<meta content="1; url=DI11200_AG.php"  HTTP-EQUIV="REFRESH">';
	}else{
		echo '<h2>NO SE HA PODIDO AGREGAR EL CATALOGO DE GRUPOS</h2>';
		echo $res;
		echo '<meta content="1; url=DI11200_AG.php" HTTP-EQUIV="REFRESH">';
	}    	
?>
</body>
</html>